<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: COM_OrdenCompraDetalle.xml */
/* Generado: 2021-08-14 08:48:00 */

/* Mantenimiento de los registros de la tabla COM_OrdenCompraDetalle */
abstract class BaseCOM_OrdenCompraDetalleDP extends COM_OrdenCompraDetalleBV
{
    /* Constructor ( Establece los valores desde un objeto COM_OrdenCompraDetalleBN ) */
    public function __construct( COM_OrdenCompraDetalleBN $o_COM_OrdenCompraDetalleBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_COM_OrdenCompraDetalleBN ) )
        {
            $this->setByBN( $o_COM_OrdenCompraDetalleBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto COM_OrdenCompraDetalleBN */
    public function setByBN( COM_OrdenCompraDetalleBN $o_COM_OrdenCompraDetalleBN )
    {
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIdOrdenCompra() ) )
        {
            $this->setIdOrdenCompra( $o_COM_OrdenCompraDetalleBN->getIdOrdenCompra() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIdCompania() ) )
        {
            $this->setIdCompania( $o_COM_OrdenCompraDetalleBN->getIdCompania() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIdSecuencia() ) )
        {
            $this->setIdSecuencia( $o_COM_OrdenCompraDetalleBN->getIdSecuencia() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIdItem() ) )
        {
            $this->setIdItem( $o_COM_OrdenCompraDetalleBN->getIdItem() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getDescripcion() ) )
        {
            $this->setDescripcion( $o_COM_OrdenCompraDetalleBN->getDescripcion() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getCantidadPedida() ) )
        {
            $this->setCantidadPedida( $o_COM_OrdenCompraDetalleBN->getCantidadPedida() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getCantidadRecibida() ) )
        {
            $this->setCantidadRecibida( $o_COM_OrdenCompraDetalleBN->getCantidadRecibida() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getMuestraUni() ) )
        {
            $this->setMuestraUni( $o_COM_OrdenCompraDetalleBN->getMuestraUni() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getMuestraKgr() ) )
        {
            $this->setMuestraKgr( $o_COM_OrdenCompraDetalleBN->getMuestraKgr() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIdUnidad() ) )
        {
            $this->setIdUnidad( $o_COM_OrdenCompraDetalleBN->getIdUnidad() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIdCondicion() ) )
        {
            $this->setIdCondicion( $o_COM_OrdenCompraDetalleBN->getIdCondicion() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIdLote() ) )
        {
            $this->setIdLote( $o_COM_OrdenCompraDetalleBN->getIdLote() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getFechaVencimiento() ) )
        {
            $this->setFechaVencimiento( $o_COM_OrdenCompraDetalleBN->getFechaVencimiento() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getPrecioUnitarioInicial() ) )
        {
            $this->setPrecioUnitarioInicial( $o_COM_OrdenCompraDetalleBN->getPrecioUnitarioInicial() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getPrecioUnitario() ) )
        {
            $this->setPrecioUnitario( $o_COM_OrdenCompraDetalleBN->getPrecioUnitario() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getPrecioUnitarioFinal() ) )
        {
            $this->setPrecioUnitarioFinal( $o_COM_OrdenCompraDetalleBN->getPrecioUnitarioFinal() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getSubTotal() ) )
        {
            $this->setSubTotal( $o_COM_OrdenCompraDetalleBN->getSubTotal() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getValorIGV() ) )
        {
            $this->setValorIGV( $o_COM_OrdenCompraDetalleBN->getValorIGV() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getPrecioTotalConIGV() ) )
        {
            $this->setPrecioTotalConIGV( $o_COM_OrdenCompraDetalleBN->getPrecioTotalConIGV() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIGVExonerado() ) )
        {
            $this->setIGVExonerado( $o_COM_OrdenCompraDetalleBN->getIGVExonerado() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getEstado() ) )
        {
            $this->setEstado( $o_COM_OrdenCompraDetalleBN->getEstado() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getComentario() ) )
        {
            $this->setComentario( $o_COM_OrdenCompraDetalleBN->getComentario() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getDescuento() ) )
        {
            $this->setDescuento( $o_COM_OrdenCompraDetalleBN->getDescuento() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getPrecioUnitarioIGV() ) )
        {
            $this->setPrecioUnitarioIGV( $o_COM_OrdenCompraDetalleBN->getPrecioUnitarioIGV() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getCostoFinalDolares() ) )
        {
            $this->setCostoFinalDolares( $o_COM_OrdenCompraDetalleBN->getCostoFinalDolares() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getCostoFinalSoles() ) )
        {
            $this->setCostoFinalSoles( $o_COM_OrdenCompraDetalleBN->getCostoFinalSoles() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getIdRequerimientoDetalle() ) )
        {
            $this->setIdRequerimientoDetalle( $o_COM_OrdenCompraDetalleBN->getIdRequerimientoDetalle() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_COM_OrdenCompraDetalleBN->getFechaCreacion() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_COM_OrdenCompraDetalleBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_COM_OrdenCompraDetalleBN->getFechaModificacion() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_COM_OrdenCompraDetalleBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_COM_OrdenCompraDetalleBN->getFechaEntrega() ) )
        {
            $this->setFechaEntrega( $o_COM_OrdenCompraDetalleBN->getFechaEntrega() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_COM_OrdenCompraDetalleFN = new COM_OrdenCompraDetalleFN();
        $o_COM_OrdenCompraDetalleBN = $o_COM_OrdenCompraDetalleFN->selectByPk( $this->getIdOrdenCompra(), $this->getIdCompania(), $this->getIdSecuencia() );
        if ( is_null( $o_COM_OrdenCompraDetalleBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO COM_OrdenCompraDetalle ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getIdOrdenCompra() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdOrdenCompra";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdOrdenCompra()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCompania";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSecuencia() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdSecuencia";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdSecuencia()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdItem() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdItem";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdItem()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescripcion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Descripcion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCantidadPedida() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CantidadPedida";
                $s_SQLQuery2 .= $s_Separator."".$this->getCantidadPedida()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCantidadRecibida() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CantidadRecibida";
                $s_SQLQuery2 .= $s_Separator."".$this->getCantidadRecibida()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMuestraUni() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MuestraUni";
                $s_SQLQuery2 .= $s_Separator."".$this->getMuestraUni()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMuestraKgr() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MuestraKgr";
                $s_SQLQuery2 .= $s_Separator."".$this->getMuestraKgr()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUnidad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdUnidad";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdUnidad()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCondicion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCondicion";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCondicion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdLote() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdLote";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdLote()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaVencimiento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaVencimiento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaVencimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitarioInicial() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioUnitarioInicial";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioUnitarioInicial()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitario() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioUnitario";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioUnitario()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitarioFinal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioUnitarioFinal";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioUnitarioFinal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSubTotal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."SubTotal";
                $s_SQLQuery2 .= $s_Separator."".$this->getSubTotal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getValorIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ValorIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getValorIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioTotalConIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioTotalConIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioTotalConIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIGVExonerado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IGVExonerado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIGVExonerado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComentario() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Comentario";
                $s_SQLQuery2 .= $s_Separator."'".$this->getComentario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescuento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Descuento";
                $s_SQLQuery2 .= $s_Separator."".$this->getDescuento()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitarioIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioUnitarioIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getPrecioUnitarioIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCostoFinalDolares() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CostoFinalDolares";
                $s_SQLQuery2 .= $s_Separator."".$this->getCostoFinalDolares()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCostoFinalSoles() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CostoFinalSoles";
                $s_SQLQuery2 .= $s_Separator."".$this->getCostoFinalSoles()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdRequerimientoDetalle() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdRequerimientoDetalle";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdRequerimientoDetalle()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEntrega() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaEntrega";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaEntrega()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE COM_OrdenCompraDetalle SET ";
            $s_Separator = "";
            if ( !is_null( $this->getIdItem() ) )
            {
                $s_SQLQuery .= $s_Separator."IdItem = '".$this->getIdItem()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescripcion() ) )
            {
                $s_SQLQuery .= $s_Separator."Descripcion = '".$this->getDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCantidadPedida() ) )
            {
                $s_SQLQuery .= $s_Separator."CantidadPedida = ".$this->getCantidadPedida()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCantidadRecibida() ) )
            {
                $s_SQLQuery .= $s_Separator."CantidadRecibida = ".$this->getCantidadRecibida()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMuestraUni() ) )
            {
                $s_SQLQuery .= $s_Separator."MuestraUni = ".$this->getMuestraUni()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMuestraKgr() ) )
            {
                $s_SQLQuery .= $s_Separator."MuestraKgr = ".$this->getMuestraKgr()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdUnidad() ) )
            {
                $s_SQLQuery .= $s_Separator."IdUnidad = '".$this->getIdUnidad()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCondicion() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCondicion = ".$this->getIdCondicion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdLote() ) )
            {
                $s_SQLQuery .= $s_Separator."IdLote = '".$this->getIdLote()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaVencimiento() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaVencimiento = '".$this->getFechaVencimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitarioInicial() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioUnitarioInicial = ".$this->getPrecioUnitarioInicial()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitario() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioUnitario = ".$this->getPrecioUnitario()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitarioFinal() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioUnitarioFinal = ".$this->getPrecioUnitarioFinal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSubTotal() ) )
            {
                $s_SQLQuery .= $s_Separator."SubTotal = ".$this->getSubTotal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getValorIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."ValorIGV = ".$this->getValorIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioTotalConIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioTotalConIGV = ".$this->getPrecioTotalConIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIGVExonerado() ) )
            {
                $s_SQLQuery .= $s_Separator."IGVExonerado = '".$this->getIGVExonerado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComentario() ) )
            {
                $s_SQLQuery .= $s_Separator."Comentario = '".$this->getComentario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescuento() ) )
            {
                $s_SQLQuery .= $s_Separator."Descuento = ".$this->getDescuento()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioUnitarioIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioUnitarioIGV = ".$this->getPrecioUnitarioIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCostoFinalDolares() ) )
            {
                $s_SQLQuery .= $s_Separator."CostoFinalDolares = ".$this->getCostoFinalDolares()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCostoFinalSoles() ) )
            {
                $s_SQLQuery .= $s_Separator."CostoFinalSoles = ".$this->getCostoFinalSoles()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdRequerimientoDetalle() ) )
            {
                $s_SQLQuery .= $s_Separator."IdRequerimientoDetalle = ".$this->getIdRequerimientoDetalle()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEntrega() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaEntrega = '".$this->getFechaEntrega()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  IdOrdenCompra = ".$this->getIdOrdenCompra()." AND  IdCompania = ".$this->getIdCompania()." AND  IdSecuencia = ".$this->getIdSecuencia().";";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM COM_OrdenCompraDetalle WHERE  IdOrdenCompra = ".$this->getIdOrdenCompra()." AND  IdCompania = ".$this->getIdCompania()." AND  IdSecuencia = ".$this->getIdSecuencia().";";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        return true;
    }

}
?>